<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CallInvitation extends Model 
{

    protected $table = 'call_invitations';
    public $timestamps = true;

    public function user()
    {
        return $this->belongsTo('User', 'User');
    }

    public function call()
    {
        return $this->belongsTo('CallAuctionParticipant', 'Call');
    }

    public function ticket()
    {
        return $this->hasOne('CallTicket', 'CallTicket');
    }

    public function ticket_transactions()
    {
        return $this->hasMany('CallTicketTransaction', 'CallTicketTransaction');
    }

}